package Bencher::ScenarioR::BagComparison;

our $VERSION = 0.002; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset    => "elems=200num",
        errors     => 0.00018,
        rate       => 7.9,
        samples    => 20,
        time       => 130,
        vs_slowest => 1,
      },
      {
        dataset    => "elems=100num",
        errors     => 0.00012,
        rate       => 18,
        samples    => 21,
        time       => 56,
        vs_slowest => 2.3,
      },
      {
        dataset    => "elems=10num",
        errors     => 3.4e-06,
        rate       => 1700,
        samples    => 20,
        time       => 0.58,
        vs_slowest => 220,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "BagComparison",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 3297.019,
                                    stepping                     => 7,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => 3289.027,
                                    stepping                     => 7,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 3317.121,
                                    stepping                     => 7,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "lahf_lm",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "xsaveopt",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "6144 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 42,
                                    name                         => "Intel(R) Core(TM) i5-2400 CPU \@ 3.10GHz",
                                    number_of_cores              => 4,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 3296.656,
                                    stepping                     => 7,
                                  },
                                ],
      "func.elapsed_time"    => 3.95050692558289,
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::BagComparison" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "perl" => "v5.24.0",
                                  "Sys::Info" => 0.78,
                                  "Sys::Load" => 0.2,
                                  "Test::Deep" => "1.120",
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => ["perl", ["perl"], "participant", [0], "dataset", [0, 1, 2]],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "jessie",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.16.0-4-amd64",
                                  kname    => "Linux",
                                  kvers    => "3.16.0-4-amd64",
                                  osflag   => "linux",
                                  oslabel  => "Debian",
                                  osname   => "GNU/Linux",
                                  osvers   => "8.0",
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Debian GNU/Linux 8 \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tDebian\nDescription:\tDebian GNU/Linux 8.0 (jessie)\nRelease:\t8.0\nCodename:\tjessie",
                                                "uname -a"        => "Linux builder 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt7-1 (2015-03-01) x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.16.0-4-amd64",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::BagComparison",
      "func.sysload_after"   => [0.78, 0.59, 0.51],
      "func.sysload_before"  => [0.76, 0.58, 0.51],
      "func.time_end"        => 1476882419.72268,
      "func.time_factor"     => 1000,
      "func.time_start"      => 1476882415.77217,
      "table.field_aligns"   => ["left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, "/s", "ms"],
      "table.fields"         => ["dataset", "rate", "time", "vs_slowest", "errors", "samples"],
    },
  ],
];

1;
# ABSTRACT: Benchmark bag comparison

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

